> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kwugwo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a customer

> Fetch a single customer by ID.

Returns the customer identified by `uid`. Returns `404` if the
customer does not exist on this workspace or has been deleted.

## Path parameters

<ParamField path="uid" type="string" required>
  Customer ID, `ony.XXXX.YYYY...`.
</ParamField>

## Response

Same shape as the [Create response](/customers/create#response).

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.kwugwo.africa/v1/onye/ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE \
    -H "Authorization: Bearer $KWUGWO_SECRET_KEY"
  ```

  ```js Node theme={null}
  const onye = await fetch(
    `https://api.kwugwo.africa/v1/onye/${onyeUid}`,
    { headers: { Authorization: `Bearer ${process.env.KWUGWO_SECRET_KEY}` } }
  ).then(r => r.json());
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init("https://api.kwugwo.africa/v1/onye/{$onyeUid}");
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_HTTPHEADER     => ['Authorization: Bearer ' . getenv('KWUGWO_SECRET_KEY')],
  ]);
  $onye = json_decode(curl_exec($ch), true);
  curl_close($ch);
  ```

  ```python Python theme={null}
  import os, requests

  onye = requests.get(
      f"https://api.kwugwo.africa/v1/onye/{onye_uid}",
      headers={"Authorization": f"Bearer {os.environ['KWUGWO_SECRET_KEY']}"},
  ).json()
  ```

  ```go Go theme={null}
  url := fmt.Sprintf("https://api.kwugwo.africa/v1/onye/%s", onyeUid)
  req, _ := http.NewRequest("GET", url, nil)
  req.Header.Set("Authorization", "Bearer "+os.Getenv("KWUGWO_SECRET_KEY"))
  resp, _ := http.DefaultClient.Do(req)
  defer resp.Body.Close()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "uid": "ony.VCvr.7K2qPmRtV9xLnQ8sD1cYwHfE",
    "email": "ada@example.com",
    "ref": "user_8821",
    "first_name": "Ada",
    "last_name": "Okeke",
    "status": "active",
    "created_at": "2026-05-15T09:14:22+00:00"
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "type": "https://tools.ietf.org/html/rfc2616#section-10",
    "title": "Not Found",
    "status": 404,
    "detail": "onye_nzube.error.not_found"
  }
  ```
</ResponseExample>
